Project

General

Profile

Actions

Bug #3257

closed

Lua PANIC: unprotected error in call to Lua API (stack overflow)

Added by xu hui about 3 years ago. Updated 10 months ago.

Status:
Closed
Priority:
Normal
Target version:
Affected Versions:
Effort:
Difficulty:
Label:

Description

HI, Suricata Team:
Since I need to hash and customize some fields, I tried to use Lua scripts to audit all HTTP traffic.The program will exit automatically after running for a period of time. The screen outputs error message: ' PANIC: unprotected error in call to Lua API (stack overflow). '
My Suricata is deployed on AWS, and the traffic mirror is from Nginx Server, so it is all HTTP traffic, about 1.5Gbps. Can Lua scripts not run in high-traffic environments?
My lua script (demo) code is in the attachment, please correct me my mistake, any help makes sense to me.

CPU: 1 CPU 36 core
Memory: 60G
Suricata: 5.0.0-rc1

Files

http_audit_demo.lua (1.88 KB) http_audit_demo.lua lua script demo xu hui, 10/17/2019 02:11 PM
Actions

Also available in: Atom PDF